package net.sf.sido.factory.sido.antlr;

public interface ISidoReporter {

	void close();

	void closeContainer();

	void pushAbstract();

	void pushAnonymousProperty();

	void pushConstraint(String id);

	void pushConstraintParam(String name, String value);

	void pushConstraintValue(String value);

	void pushExtensible();

	void pushExtension(String forType);

	void pushNewProperty();

	void pushParent(String parentTypeName);

	void pushProperty(String name);

	void pushPropertyArray();

	void pushPropertyNullable(boolean not);

	void pushPropertyReverse();

	void pushPropertyType(String typeName);

	void pushSchemaName(String name);

	void pushTypeName(String name);

}
