package net.sf.sido.editor;

import org.apache.commons.lang.StringUtils;

public class BooleanEditor extends AbstractDataEditor<Boolean> {

	@Override
	public Boolean valueOf(String value) {
		if (StringUtils.isNotBlank(value)) {
			return "true".equalsIgnoreCase(value) || "on".equalsIgnoreCase(value) || "ok".equalsIgnoreCase(value) || "yes".equalsIgnoreCase(value);
		} else {
			return null;
		}
	}

}
