package net.sf.sido.factory.sido.antlr;

public interface IPropertyContainer {

	void pushNewProperty();

	void pushPropertyReverse();

	void pushPropertyNullable(boolean not);

	void pushPropertyArray();

	void pushPropertyType(String typeName);

	void pushProperty(String name);

	void resolve();

	void pushAnonymousProperty();

	void pushConstraint(String id);

	void pushConstraintParam(String name, String value);

	void pushConstraintValue(String value);

}
